Subject: Re: [PATCH v3 net-next] net/mlx5e: Report rx_discards_phy via rx_fifo_errors

From: Jakub Kicinski <[email-masked]>
Date: Sat, 7 Dec 2024 17:38:08 -0800

On Fri,  6 Dec 2024 17:03:28 +0800 Yafang Shao wrote:
> We observed a high number of rx_discards_phy events on some servers when
> running `ethtool -S`. However, this important counter is not currently
> reflected in the /proc/net/dev statistics file, making it challenging to
> monitor effectively.
> 
> Since rx_fifo_errors represents receive FIFO errors on this network
> deivice, it makes sense to include rx_discards_phy in this counter to
> enhance monitoring visibility. This change will help administrators track
> these events more effectively through standard interfaces.

It's not a standard if there is no definition applicable across vendors.
Count it as generic rx_dropped. If you disagree with me please carry
this tag on future versions:

Nacked-by: Jakub Kicinski <[email-masked]>
-- 
pw-bot: cr